Berkeley DB version 4.2.52

## com.sleepycat.bdb.bind.tuple
Class TupleInputBinding

    java.lang.Object
      |
      +--com.sleepycat.bdb.bind.tuple.TupleInputBinding

All Implemented Interfaces:
  DataBinding

public class TupleInputBinding
extends Object
implements DataBinding

A concrete tuple binding for keys or values which are `TupleInput` objects. This binding is used when tuples themselves are the data object, rather than using application defined objects. A `TupleInput` must always be used. To convert a `TupleOutput` to a `TupleInput`, use the `TupleInput.TupleInput(TupleOutput)` constructor.

Constructor Summary
`TupleInputBinding(TupleFormat format)` Creates a tuple input binding.

Method Summary
`Object` `dataToObject(DataBuffer data)` Converts a data buffer into an Object.
`DataFormat` `getDataFormat()` Returns the format used for the data of this binding.
`void` `objectToData(Object object, DataBuffer data)` Converts an Object into a data buffer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleInputBinding

    public TupleInputBinding(TupleFormat format)

  Creates a tuple input binding.

Parameters:
  `format` - is the format of the new binding.

Method Detail

### dataToObject

    public Object dataToObject(DataBuffer data)
                        throws IOException

  Description copied from interface: `DataBinding`
  Converts a data buffer into an Object.

  Specified by:
    `dataToObject` in interface `DataBinding`
  Parameters:
    `data` - is the source data buffer.
  Returns:
    the resulting Object.
    `IOException`

### objectToData

    public void objectToData(Object object,
                             DataBuffer data)
                      throws IOException

  Description copied from interface: `DataBinding`
  Converts an Object into a data buffer.

  Specified by:
    `objectToData` in interface `DataBinding`
  Parameters:
    `object` - is the source Object.
    `data` - is the destination data buffer.
    `IOException`

### getDataFormat

    public DataFormat getDataFormat()

  Description copied from interface: `DataBinding`
  Returns the format used for the data of this binding.

  Specified by:
    `getDataFormat` in interface `DataBinding`
  Returns:
    the data format.

Berkeley DB version 4.2.52

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.